Organizations
List Organizations
List organizations.
Scopes: organizations:read organizations:write
GET
/
v1
/
organizations
/
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.organizations.iter_list(
page=1,
limit=10,
sorting=['created_at'],
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.organizations.iterList(
{
"page": 1,
"limit": 10,
"sorting": [
"created_at"
]
},
)) {
console.log(item);
}curl --request GET \
--url https://api.polar.sh/v1/organizations/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polar.sh/v1/organizations/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polar.sh/v1/organizations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"avatar_url": "<string>",
"allow_customer_updates": true,
"email": "<string>",
"website": "<string>",
"socials": [
{
"url": "<string>"
}
],
"details_submitted_at": "2023-11-07T05:31:56Z",
"sso_enforced": true,
"default_presentment_currency": "<string>",
"feature_settings": {
"issue_funding_enabled": false,
"seat_based_pricing_enabled": false,
"wallets_enabled": false,
"member_model_enabled": false,
"checkout_localization_enabled": false,
"overview_metrics": [
"<string>"
],
"reset_proration_behavior_enabled": false,
"off_session_charges_enabled": false,
"slack_benefit_enabled": false,
"preview_access_enabled": false,
"disputes_enabled": false,
"sso_enabled": false,
"compass_enabled": false,
"merchant_migration_enabled": false
},
"subscription_settings": {
"allow_multiple_subscriptions": true,
"benefit_revocation_grace_period": 123,
"prevent_trial_abuse": true,
"allow_customer_updates": true
},
"customer_email_settings": {
"order_confirmation": true,
"subscription_cancellation": true,
"subscription_confirmation": true,
"subscription_cycled": true,
"subscription_cycled_after_trial": true,
"subscription_past_due": true,
"subscription_paused": true,
"subscription_resumed": true,
"subscription_renewal_reminder": true,
"subscription_revoked": true,
"subscription_trial_conversion_reminder": true,
"subscription_uncanceled": true,
"subscription_updated": true
},
"customer_portal_settings": {
"usage": {
"show": true
},
"subscription": {
"update_seats": true,
"update_plan": true,
"pause": true
},
"customer": {
"allow_email_change": true
}
},
"account_id": "<string>",
"payout_account_id": "<string>",
"capabilities": {
"checkout_payments": true,
"subscription_renewals": true,
"payouts": true,
"refunds": true,
"api_access": true,
"dashboard_access": true
}
}
],
"pagination": {
"total_count": 123,
"max_page": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
patoat
Query Parameters
Filter by slug.
Page number, defaults to 1.
Size of a page, defaults to 10. Maximum is 100.
Sorting criterion. Several criteria can be used simultaneously and will be applied in order. Add a minus sign - before the criteria name to sort by descending order.
Available options:
created_at, -created_at, slug, -slug, name, -name, next_review_threshold, -next_review_threshold, days_in_status, -days_in_status Was this page helpful?
⌘I
python (new sdk)
from polar.v2026_04 import Polar
polar = Polar("polar_oat_xxx")
for item in polar.organizations.iter_list(
page=1,
limit=10,
sorting=['created_at'],
):
print(item)import { createPolar } from "@polar-sh/sdk/2026-04";
const polar = createPolar({
accessToken: "polar_oat_xxx",
});
for await (const item of polar.organizations.iterList(
{
"page": 1,
"limit": 10,
"sorting": [
"created_at"
]
},
)) {
console.log(item);
}
